<?php

/**
 * Focus - Configuration file
 *
 * @package bt_focus
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_focus
 */

defined('_VALID_MOS') or die('Restricted access');

global $tpl_config;
$tpl_config = array();
$tpl_config['component'] = array();


// CONFIGURATION START ////////////////////////////////////////////////////////

/**
 *  CSC Default Control
 *
 *  @type list
 *  @values 0, 1
 *  @default 0
 */
$tpl_config['default'] = 0;

$tpl_config['component']['*'] = array(

	/**
	 *  BT Logo
	 *
	 *  Shows or hides the BonusThemes logo
	 *
	 *  @type radio
	 *  @values on, off
	 *  @default on
	 */
	'btlogo' => 'on',

	/**
	 *  Header Menu Type
	 *
	 *  Enables the default menu on the top of the page or position header.
	 *
	 *  @type radio
	 *  @values menu, header
	 *  @default menu
	 */
	'header_menu' => 'menu',

	/**
	 *  Header menu name
	 *
	 *  Name of the Joomla menu that will be used as source for the menu on the page header.
	 *
	 *  @type menu
	 *  @default topmenu
	 */
	'header_menu_name' => 'topmenu',

	/**
	 *  SEOCP
	 *
	 *  Enable SEOCP (Search Engine Optimized Content Positioning)
	 *  to position put the content of your website in the start
	 *  of the HTML content. This helps search engines find and
	 *  analyse the content easier. On the downside if SEOCP is
	 *  enabled users who disabled the JavaScript engine of their
	 *  browser will not be able to see the page's  main content.
	 *
	 *  @type radio
	 *  @values on, off
	 *  @default off
	 */
	'seocp' => 'off',

	/**
	 *  Show home button
	 *
	 *  Shows or hides the home button on the main toolbar
	 *
	 *  @type radio
	 *  @values on, off
	 *  @default on
	 */
	'show_home' => 'on',

	/**
	 *  Show search button
	 *
	 *  Shows or hides the search button on the main toolbar
	 *
	 *  @type radio
	 *  @values on, off
	 *  @default on
	 */
	'show_search' => 'on',

	/**
	 *  Search Item ID
	 *
	 *  Itemid for the refencing Search link
	 *
	 *  @type integer
	 *  @default 0
	 */
	'search_itemid' => 0,

	/**
	 *  Width of position left
	 *
	 *  Width (in pixels) of position left
	 *
	 *  @type integer
	 *  @default 200
	 */
	'pos_left_width' => 200,

	/**
	 *  Width of position right
	 *
	 *  Width (in pixels) of position right
	 *
	 *  @type integer
	 *  @default 200
	 */
	'pos_right_width' => 200,

);

// CONFIGURATION END //////////////////////////////////////////////////////////

?>