<?php

/**
 * Focus - Joomla Template
 *
 * @package bt_focus
 * @version 1.0
 * @copyright BonusThemes.com 2008
 * @link http://www.bonusthemes.com/goto/bt_focus
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$dir = dirname(__FILE__);
require($dir . '/config.php');
require($dir . '/template.inc.php');
$tpl = new TplBtFocus();

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

echo <<<EOF
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$this->language}" lang="{$this->language}" >
<head>

<jdoc:include type="head" />

<link href="{$tpl->path}/css/layout.css" rel="stylesheet" type="text/css" />
<link href="{$tpl->path}/css/template.css" rel="stylesheet" type="text/css" />
$cmenu_css
<!--[if lt IE 7]>
<link href="{$tpl->path}/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '{$tpl->path}/images/blank.gif';
</script>
<style type="text/css">
.readon, .pathway img, .pngfix { behavior: url({$tpl->path}/js/iepngfix.htc); }
.pngfix_static { behavior: url({$tpl->path}/js/iepngfix_static.htc); }
</style>
<![endif]-->

$cmenu_js

<script type="text/javascript" src="{$tpl->path}/js/template.js"></script>
<script type="text/javascript" src="{$tpl->path}/js/focus_search.js"></script>
<script type="text/javascript" src="{$tpl->path}/js/focus_tabs.js"></script>

</head>

<body>

EOF;

if ($tpl->seocp) {
	echo '	<div style="display:none"><div id="mainbody">' . "\n";
	echo '		<jdoc:include type="component" />' . "\n";
	echo '	</div></div>' . "\n";
}

echo '<div id="wrapper">' . "\n";

echo '	<div id="r1">' . "\n";
$tpl->echo_position('top');
echo '	</div>' . "\n";

echo '	<div id="r2">' . "\n";
echo '	</div>' . "\n";

echo '	<div id="r3back"><div id="r3">' . "\n";

if ($tpl->show_home)
	echo '		<div id="r3_home"><a href="' . $tpl->get_home() . '" onfocus="blur()"><img src="' . $tpl->path . '/images/layout/home.jpg" alt="" border="0" /></a></div>' . "\n";

if ($tpl->show_search)
	echo '		<div id="r3_search"><a href="javascript:void(0)" onfocus="blur()" onclick="search_click()"><img src="' . $tpl->path . '/images/layout/search.jpg" alt="" border="0" /></a></div>' . "\n";

echo '		<div id="r3_menu_up"></div>' . "\n";
echo '		<div id="r3_menu">' . "\n";

if ($tpl->show_menu) {
	echo <<<EOF
				<table cellspacing="0" cellpadding="0" width="100%">
					<tr>

EOF;

	for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
		$mi = &$tpl->menu_head_tags[$i];
		printf(
'						<td class="%s">&nbsp;</td>
						<td class="%s">&nbsp;</td>
						<td class="%s" id="%s">%s</td>
						<td class="%s">&nbsp;</td>
',
			$i > 0 && $tpl->menu_head_tags[$i - 1]->selection == 0 && $mi->selection == 0 ? 'cmenu_gap_split' : 'cmenu_gap_clean',
			$mi->selection == 0 ? 'cmenu_hd_norm_left' : 'cmenu_hd_sel_left',
			$mi->selection == 0 ? 'cmenu_hd_norm_body' : 'cmenu_hd_sel_body',
			$mi->head_id,
			$mi->full_link,
			$mi->selection == 0 ? 'cmenu_hd_norm_right' : 'cmenu_hd_sel_right'
		);
	}

	echo <<<EOF
						<td>&nbsp;</td>
					</tr>
				</table>

<script type="text/javascript">
// <![CDATA[
document['cmenu_items'] = new Array();
{$tpl->menu_js}
// ]]>
</script>

EOF;
}
else {
	echo <<<EOF
				<table cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td width="15">&nbsp;</td>
						<td>

EOF;

	$tpl->echo_position('header');

	echo <<<EOF
						</td>
						<td width="15">&nbsp;</td>
					</tr>
				</table>

EOF;
}

echo '		</div>' . "\n";
echo '		<div id="r3_menu_down"></div>' . "\n";
echo '		<div id="r3_banner">' . "\n";

$tpl->echo_positions('spacer1', 'advert1');
$tpl->echo_positions('', 'user1', 'user2', 'user3');

echo '		</div>' . "\n";
echo '		<div id="r3_pathway_up"></div>' . "\n";
echo '		<div id="r3_pathway">' . "\n";
echo '			<div id="pathway">' . "\n";
echo '				<jdoc:include type="modules" name="breadcrumb" />' . "\n";
echo '			</div>' . "\n";
echo '		</div>' . "\n";
echo '		<div id="r3_pathway_down"></div>' . "\n";
echo '		<div id="r3_main">' . "\n";

$tpl->echo_positions('spacer2', 'advert2');
$tpl->echo_positions('spacer3', 'user4', 'user5', 'user6');

if ($tpl->modcount('left') || $tpl->modcount('right')) {
	echo '		<table cellspacing="0" cellpadding="0" width="100%">' . "\n";
	echo '			<tr>' . "\n";

	if ($tpl->modcount('left')) {
		echo '				<td valign="top">' . "\n";
		$tpl->echo_position('left');
		echo '				</td>' . "\n";
		echo '				<td class="gap"></td>' . "\n";
	}

	echo '				<td valign="top">' . "\n";
}

$tpl->echo_positions('spacer4', 'newsflash');

// output main body
if ($tpl->seocp)
	echo '		<div id="mainbody_area"></div>' . "\n";
else
	echo '		<jdoc:include type="component" />' . "\n";

if ($tpl->modcount('left') || $tpl->modcount('right')) {
	echo '				</td>' . "\n";

	if ($tpl->modcount('right')) {
		echo '				<td class="gap"></td>' . "\n";
		echo '				<td valign="top">' . "\n";
		$tpl->echo_position('right');
		echo '				</td>' . "\n";
	}

	echo '			</tr>' . "\n";
	echo '		</table>' . "\n";
}

$tpl->echo_positions('spacer5', 'advert3');
$tpl->echo_positions('spacer6', 'user7', 'user8', 'user9');
$tpl->echo_positions('spacer7', 'banner');

echo '		</div>' . "\n";
echo '		<div id="spacer8"></div>' . "\n";
echo '	</div></div>' . "\n";

echo '	<div id="r4">' . "\n";
echo '		<div id="r4_r1">' . "\n";
$tpl->echo_positions('', 'bottom', 'footer');
echo '		</div>' . "\n";
echo '		<div id="r4_r2">' . "\n";
$tpl->echo_positions('', 'legals');
echo '		</div>' . "\n";
echo '		<div id="r4_r3">' . "\n";
echo '			<a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a>' . "\n";
echo '		</div>' . "\n";

if ($tpl->lshow) {
	echo '		<div id="r4_r4">' . "\n";
	echo '			<a href="http://joomfans.com" target="_blank"><img src="' . $tpl->path . '/images/layout/bt_logo.png" alt="" border="0" class="pngfix_static" /></a>' . "\n";
	echo '		</div>' . "\n";
}

echo '	</div>' . "\n";

// closing wrapper
echo '</div>' . "\n";

$tpl->echo_hidden_position('inset');
$tpl->echo_hidden_position('toolbar');


if ($tpl->seocp) {
	echo <<<EOF

<script type="text/javascript">
// <![CDATA[

// position mainbody
var obj = document.getElementById('mainbody');
obj.parentNode.removeChild(obj);
document.getElementById('mainbody_area').appendChild(obj);

// ]]>
</script>

EOF;
}

if ($tpl->show_search) {
	echo <<<EOF
<div id="focus_search_tag" style="display:none">
	<a href="javascript:void(0)" onfocus="blur()" onclick="search_click()"><img src="{$tpl->path}/images/layout/searchopen_tag.jpg" alt="" border="0" /></a>
</div>
<div id="focus_search_wdg" style="display:none">
	<form action="index.php" method="post">
		<input type="hidden" name="task"   value="search" />
		<input type="hidden" name="option" value="com_search" />

		<table cellspacing="0" cellpadding="0">
			<tr>
				<td><img src="{$tpl->path}/images/layout/searchopen_left.gif" alt="" /></td>
				<td id="focus_search_textbox" style="background-color: #046eac">
					<input id="focus_search_input" name="searchword" maxlength="20" type="text" size="23" />
				</td>
				<td id="focus_search_button" style="background-color: #046eac">
					<button><img src="{$tpl->path}/images/layout/searchopen_button.gif" alt="" border="0" /></button>
				</td>
				<td><img src="{$tpl->path}/images/layout/searchopen_right.gif" alt="" /></td>
			</tr>
		</table>
	</form>
</div>

EOF;
}

echo <<<EOF

</body>
</html>

EOF;

?>